When will Bukkit be updated for Minecraft 1.5?

Discussion in 'Bukkit News' started by EvilSeph, Apr 20, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    EvilSeph Retired Staff

    Update:
    We have completed the update to Minecraft 1.5_02 (and have had it done for a while now) and are working out a few issues before we promote a recommended build. A TEST ONLY build is available but we highly recommend that you wait until we promote a Recommended Build before putting it on your production server.

    You can find the latest test build on ci.bukkit.org. Please note, though, that if you don't already know how to get it, you probably shouldn't be using it. Only Recommended Builds have gone through extensive testing. Anything else could result in unforeseen problems like Bukkit eating your cake or your world. You have been warned.

    ---------------------------

    Common Problems/Questions:
    What's the first build that works with Minecraft 1.5_02
    The first CraftBukkit build that works with Minecraft 1.5_02 was made available 2 days ago and is build #689. However, it is HIGHLY RECOMMENDED that if you are running the test builds, you always stay up to date as we usually fix bugs, exploits and improve stability.

    I downloaded build 714 but got some other build!
    You're probably reading the version string incorrectly.

    Here's an example version string:
    git-Bukkit-0.0.0-686-g71ef92a-b714jnks (MC: 1.5_02)

    This version string is for build 714, as you can tell by the "b714jnks" at the end.

    Whenever I use a plugin that changes blocks, I can't see the changes until I reconnect!
    We had an issue with blocks not updating properly but this has since been fixed from build #707. This bug affected plugins that changed blocks in game, like WorldEdit.

    Help! My console keeps getting spammed with this error whenever someone gets kicked or disconnects and it lags the server!
    This is a bug we've fixed from build #701 onwards.

    I can't build or destroy anything! Help!?
    The common cause of this issue is a client mod called Single Player Commands, please try uninstalling all your client mods and seeing if this fixes the issue. If this is the case, then it isn't a Bukkit issue and you should contact the author of the mods you use.

    Every time I connect to the server and load a sign, the client crashes. What's wrong?
    Minecraft 1.5 has added limits for sign text. Plugin developers commonly used longer sign text to store extra data or add colours to signs. This is no longer possible, so we now cut off any line in a sign longer than 15 characters (as of build #712).

    I get kicked when flying and am told that flying hasn't been enabled on this server. How do I enable flying?
    Minecraft 1.5 added anti-flying checks. You can enable flying by setting allow-flight=true in server.properties.

    Whenever I try to send a long message in chat, it gets cut off at roughly two lines.
    A limit on chat has been added with Minecraft 1.5. This is one of the issues we're hoping to address before we promote a Recommended Build.

    Help! When I use the CLI arguments to set ports (or any setting), the server always starts up on 25565 or ignores the setting!
    There was a bug that prevented the server from reading settings passed through CLI arguments. This has since been fixed from build #706 onwards.

    The easiest fix for most problems is to update to the latest Bukkit test build.

    --------------------------------

    As is the case with every Minecraft update, we saw our usual influx of extra traffic from people wondering if we have a build of CraftBukkit working with the Minecraft update seconds after release (seriously). Usually, you'd see a pretty standard post from me stating we're working on an update and providing the usual advice that you aren't forced to update. However, this time there was a distinct lack of communication from the team regarding the status of the update, other than the usual "we're working on it". Couple this with the slow development occurring lately and we can forgive people for posting the expected "is Bukkit dead?" or "what's going on?" posts. I hope this post will explain everything.

    Will there be a CraftBukkit for Minecraft 1.5?
    Given the reports of showstopping bugs present in 1.5, there's a high chance a new bugfix update for Minecraft will be out tomorrow or even several times this week. As a result, it is unlikely we will be releasing a 1.5 compatible build and, instead, will be waiting for something stable to work with.

    Due to the nature of the project and the methods we use to provide Bukkit for Minecraft, any update - no matter how small - requires us to figure out the mapping of obfuscated classes and update our code. This takes a lot of time and work, so hopefully you understand our decision.

    Having said all this, we recommend that you stay on 1.4 for a while until the patch storm subsides if your server depends on Bukkit.

    Further, I wanted to apologise for the lack of communication regarding this update. I was really hesitant announcing this since it would only serve to disappoint and annoy people, however, I noticed quite a few supportive comments on here and IRC that pushed me to post this announcement because the people that have supported us through everything deserve it.

    Why are things so quiet? Why is the update taking so long?
    Before I answer this, I think it is appropriate to cover what usually happens when we're aware of an update coming soon. Whenever we recieve word of a Minecraft update (which, contrary to popular belief, is generally the same time as everyone else), we place all development in the Bukkit project under a code freeze to prepare for the update and make things easier. That being said, last week thursday we were expecting a Minecraft update and appropriately placed the project under a code freeze. Unfortunately, the update was delayed and pushed to the next week, resulting in a much longer code freeze than normally occurs. Naturally, this lead to activity within the project seeming critically lower than it really was and prompted some people to post the inevitable "what's going on?" thread.

    On top of the code freeze, we're working on some larger changes to Bukkit or CraftBukkit that require quite a bit of time to complete and will only be commited to the public code when they are ready. Quite often you'll find that, while you don't see any updates, we definitely are still working hard programming awesome things and appreciate your patience and support.

    So why is this update taking so long? After we had updated for Minecraft 1.4, we came across some annoying chunk related issues and bugs that were incredibly difficult to pinpoint due to confusion with the new obfuscated names mappings (d -> c and c -> d). Naturally, these kinds of issues were unacceptable for the project and we immediately got to work on improving our update process to avoid issues of this nature in the future. While I think we can all agree with this decision, the unfortunate result is the delay we're currently facing since we're not yet done improving the process. The good news is, we're nearly done improving our update handling process and the wait will definitely be worth it come future updates.

    Thank you for your patience and understanding!
     
    Azukay, Nuinbot, pcgames3112 and 54 others like this.
  2. Offline

    gaz492

    ok blocks are slow loading in 714 for me. might just be me though
     
  3. Offline

    Paul_VB

    hey hows 714 running compared to 711?

    like how slowly is the map loading, block lagg, ect...
     
  4. Offline

    1Carp1

    I can't wait until bukkit is out for 1.5_02. I had a server and had to delete it in the procecess of figuring out what was wrong with my server, then I figured out it was bukkit still updating for 1.5, so I deleted it for no reason. It sucks!!!
     
  5. Offline

    Gary Heaton

    I wasn't seeing the error in 709 so I thought it might be relevant since it appeared with the change of bukkit.
     
  6. Just most likly means that the plugin developer isn't bothering to update until the next recommended build is out. This of course meaning that if stuff did become incompatible during any of the many iterations made since the last recommended he/she wont bother fixing it till then.

    Posting it in the respective developers thread will give them a nice heads up on what they may need to fix in the near future though.
     
  7. Offline

    EnigmaticMiner

    Build #714 confirmed, working perfectly, no breaks in plugins (for me) :D
     
  8. Offline

    hatstand

    Build #708 running fine with one plugin broken (which was already updated)
     
  9. Offline

    gaz492

    confirmd worldguard/edit work on 714
     
    Fantikerz likes this.
  10. Offline

    XxBTWxX

    714 Run smoothly i don't have problemS with it.
     
    EnigmaticMiner likes this.
  11. Offline

    gamerluke

    Bukkit Team;
    Please could you add something into the "server.properties" that lets you disable the different types of weather / all weather:
    Something along those lines
     
    L4w3s likes this.
  12. Offline

    Renfroe

    CraftBukkit b714 running great on the test server, no broken plug-ins either. Great job team Bukkit!
     
  13. Offline

    gaz492

    go bukkit smash canary mod they have almod relesed it :S but i want bukkit. go bukkit!!!
    host updates to the first one that comes out and i have a pc bukkit server set up redy to transfer the config to the host when it comes out
     
  14. Offline

    ENH

    CraftBukkit 714 does not work properly, I don't know what you guys are doing to get it working, but I can't remove or place blocks, and I cant hit mobs.
     
  15. Offline

    L4w3s

    I agree with this, I think we should be able to chose the weather we want, I'm getting annoyed with the snow that has flooded my land (Not literally flooded but covered), and the thing is, snow doesn't go away without a heat source so it gets annoying either placing heat sources or destroying snow,
    But all that can be done once bukkit has got their final 1.5_01 build up and it is working to their specification, this is merely an add-on for after all this is complete.

    This has already been answered, its because you have Single Player Commands installed and that does not like bukkit atm.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 13, 2016
  16. Offline

    DogPatch1992

    Its Fine for me

    It happened to me and i deleted all Client side mods i had then it worked fine for me.

    Try enabling PVP, i couldnt kill/hit Pigmen, so i enabled PVP then i could. ( maynot work but worth a try )

    I dont think i had SPC installed when it happened to me, but i removed Too Many Items then it work so i installed it again and continued to work

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 13, 2016
  17. Offline

    EnigmaticMiner

    Did you guys set yourselves as OP?
     
  18. Offline

    DogPatch1992

    Bukkit is more Complex than Canary and also Why so quick to release updates ? Bukkit Make sure we get it fully working and they test their builds

    And to be honest I doubt the Bukkit team want to see this here.
     
    L4w3s likes this.
  19. Offline

    gaz492

    no im saying my host update to the one that comes first and that i have to wait even longer to get bukkit if canary mod comes out first. it gives it priority in other words
     
  20. Offline

    DerSeegler

    Detector Rails doesn't work and /i 28 says that there is no Item #28
     
  21. Offline

    LucidLethargy

    So does anyone know any serious issues (major bugs, loopholes, exploits) on the 700+ builds? I've been testing 709-714 and everything (even 95% of my 35+ plugins) seems pretty functional! I'm considering early deployment (so long as my server understands it's NOT a stable version, and wont complain at me if something goes horribly wrong) but I wanted to ask the community first. I imagine bukkit is REALLY close to recommending one of these, so this is why i'm jumping the gun a bit.

    Really, I suppose, i'm asking about the possibility of exploitation. Bugs I can handle, and if my server signs up for the update they can handle them too, I'd just hate to see some player duplicate his inventory ten to twenty times. :X
     
  22. Offline

    aPunch

    /i is not a built-in Bukkit command. You need to wait for the plugin you use for that command to update.
     
  23. Offline

    CAPSLOCK44

    That's because sk89q hasn't updated commandbook for the update yet, he's too busy fixing the actual mod.
     
    DogPatch1992 likes this.
  24. Offline

    gaz492

    get scrapbukkit the download is on pg 30 or 31
     
  25. Offline

    XxBTWxX

  26. Offline

    PhantomGamers

    That picture really doesn't help us...
    Post the text inside the windows in [*code] tags and tell us which build you are running.
     
  27. Offline

    gaz492

    its a chunk error (world problem) i think
     
  28. Offline

    Kane

    @EvilSeph seams pretty good here so far. Not tested in the mass scale yet but just wanted to throw my input on it so far. All old plugins seam to work flawless and all updated ones of course work just as fine.
     
  29. Offline

    pagan0ne

    your have Single Player Commands installed, this causes issues with multiplayer, please report this bug in their thread over @ minecraftforms. Until it can be fixed, redownload a clean un-modded copy of minecraft.

    your have Single Player Commands installed, this causes issues with multiplayer, please report this bug in their thread over @ minecraftforms. Until it can be fixed, redownload a clean un-modded copy of minecraft.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 13, 2016
  30. Offline

    ding_chavez

    Can only test 709 because brohoster's TCAdmin install has been on the fritz for a while now, but here are the plugins I've confirmed work with 709 and 1.5_02 for whatever it's worth:

    BlastControl
    BorderGuard
    ecoCreature
    Esssentials
    EssentialsSpawn
    GroupManager
    HeroBounty
    HeroChat
    iConomy
    iConomyChestShop
    LogBlock
    LWC
    mcMMO
    MotherNature
    PreciousStones
    PVPReward
    Runecraft
    SimpleReserve
    StealthLogin
    Towny
    WorldEdit
    WorldGuard

    Broken:
    MultiVerse (portals don't work)
    npcx (spawngroups won't spawn anything)
    Vanish (gives an error when using /vanish)
     
  31. Offline

    XxBTWxX

    Running 714

    00:41:23 [INFO] Wrong location! net.minecraft.server.EntityItem@6b3
    00:41:23 [INFO] -673.125,-412.125(-43,-26) vs -49,-24
    00:41:23 [SEVERE] java.lang.Exception: Stack trace
    00:41:23 [SEVERE] at java.lang.Thread.dumpStack(Unknown Source)
    00:41:23 [SEVERE] at net.minecraft.server.Chunk.a(Chunk.java:367)
    00:41:23 [SEVERE] at net.minecraft.server.World.entityJoinedWorld(World.ja
    va:1039)
    00:41:23 [SEVERE] at net.minecraft.server.WorldServer.entityJoinedWorld(Wo
    rldServer.java:51)
     
Thread Status:
Not open for further replies.

Share This Page